Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLResourceWriter

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.xml.XMLWriter
            |
            +--org.w3c.tools.resources.serialization.xml.XMLResourceWriter

public class XMLResourceWriter
extends XMLWriter
implements JigXML

Fields inherited from class org.w3c.tools.resources.serialization.xml.XMLWriter
`level, writer`

Fields inherited from interface org.w3c.tools.resources.serialization.xml.JigXML
`ARRAY_TAG, ATTRIBUTE_TAG, CHILD_TAG, CHILDREN_TAG, CLASS_ATTR, DESCR_TAG, dtd, FLAG_ATTR, iARRAY_TAG, iATTRIBUTE_TAG, iCHILD_TAG, iCHILDREN_TAG, iCLASS_ATTR, iDESCR_TAG, idtd, iFLAG_ATTR, iIMPLEMENTS_TAG, iINHERIT_TAG, iJXML_TAG, iLENGTH_ATTR, IMPLEMENTS_TAG, iNAME_ATTR, INHERIT_TAG, ins, iNULL, iRESARRAY_TAG, iRESOURCE_TAG, iVALUE_TAG, iversion, JXML_TAG, LENGTH_ATTR, NAME_ATTR, ns, NULL, RESARRAY_TAG, RESOURCE_TAG, VALUE_TAG, version`

Constructor Summary
`XMLResourceWriter(java.io.Writer writer)`

Method Summary
`protected void` | `startResource(AttributeHolder res)`
`protected void` | `startResourceDescr(AttributeHolder res)`
`protected void` | `writeAttribute(Attribute attr, java.lang.Object value, boolean descr)`
`protected void` | `writeChildren(AttributeHolder res)`
`protected void` | `writeInherit(java.lang.Class c, java.util.Vector interfaces)`
`void` | `writeResource(AttributeHolder holder)`
`void` | `writeResourceDescription(AttributeHolder holder)`

Methods inherited from class org.w3c.tools.resources.serialization.xml.XMLWriter
`closeDocument, closeResource, encode, indent, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLResourceWriter

    public XMLResourceWriter(java.io.Writer writer)

Method Detail

### startResource

    protected void startResource(AttributeHolder res)
                          throws java.io.IOException

### startResourceDescr

    protected void startResourceDescr(AttributeHolder res)
                               throws java.io.IOException

### writeInherit

    protected void writeInherit(java.lang.Class c,
                                java.util.Vector interfaces)
                         throws java.io.IOException

### writeChildren

    protected void writeChildren(AttributeHolder res)
                          throws java.io.IOException

### writeAttribute

    protected void writeAttribute(Attribute attr,
                                  java.lang.Object value,
                                  boolean descr)
                           throws java.io.IOException

### writeResourceDescription

    public void writeResourceDescription(AttributeHolder holder)
                                  throws java.io.IOException

### writeResource

    public void writeResource(AttributeHolder holder)
                       throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD